
@echo off
echo And yet another AWESOME game
echo brought to you by ZoNeSoFt!
echo 1994, 1995 ZoneSoft (c)
if not exist data\nul goto nosubdir
if exist memfail del memfail
if exist pend del pend >nul
memc
if exist memfail goto memfailexit
:uexist
:normalmenu
if exist pend del pend >nul
pnocomp f pdata c %1 %2 %3 %4 %5 >p.out
if errorlevel 1 goto errorexit
if exist pend goto gamefin
goto gamefin
:errorexit
if exist vid.com vid
if not exist vid.com mode co80 >nul
if exist memfail goto memfailexit
echo ----
echo Program errors have occured.  
echo Save the file p.out which has the error information for us.
echo ----
type p.out
goto realexit
:memfailexit
echo ----
echo Error: Do to insufficient or improperly configured memory
echo you cannot run the game. Please refer to the memory report
echo below to get more info about what memory you need more of.
echo ----
copy memfail con
goto realexit
:nosubdir
echo ----
echo The DATA sub-directory could not be found. Please make sure
echo that you have properly installed the game by using the '-D'
echo command line switch with PKUNZIP to create the necessary
echo sub-directory.
echo ----
goto realexit
:exit  
if exist vid.com vid
if not exist vid.com mode co80 >nul
:gamefin
:realexit

